Bug 31058 - Bad import in auto_unsuspend_holds
Summary: Bad import in auto_unsuspend_holds
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: Main
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens (kidclamp)
QA Contact: Testopia
URL:
Keywords:
Depends on: 17600
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-28 10:06 UTC by Nick Clemens (kidclamp)
Modified: 2023-06-08 22:26 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00,22.05.04,21.11.11


Attachments
Bug 31058: Bug 17600 follow-up - import AutoUnsuspendHolds (1.04 KB, patch)
2022-06-28 10:09 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 31058: Bug 17600 follow-up - import AutoUnsuspendHolds (1.10 KB, patch)
2022-06-28 12:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens (kidclamp) 2022-06-28 10:06:51 UTC

    
Comment 1 Nick Clemens (kidclamp) 2022-06-28 10:09:25 UTC
Created attachment 136673 [details] [review]
Bug 31058: Bug 17600 follow-up - import AutoUnsuspendHolds

This patch corrects missing import

To test:
1 - perl misc/cronjobs/holds/auto_unsuspend_holds.pl
2 - It dies
Undefined subroutine &main::AutoUnsuspendReserves called at misc/cronjobs/holds/auto_unsuspend_holds.pl line 38.
3 - Apply patch
4 - run again
5 - It succeeds!
Comment 2 Tomás Cohen Arazi 2022-06-28 12:34:51 UTC
Created attachment 136681 [details] [review]
Bug 31058: Bug 17600 follow-up - import AutoUnsuspendHolds

This patch corrects missing import

To test:
1 - perl misc/cronjobs/holds/auto_unsuspend_holds.pl
2 - It dies
Undefined subroutine &main::AutoUnsuspendReserves called at misc/cronjobs/holds/auto_unsuspend_holds.pl line 38.
3 - Apply patch
4 - run again
5 - It succeeds!

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Tomás Cohen Arazi 2022-06-28 12:38:50 UTC
Straight QA.
Comment 4 Tomás Cohen Arazi 2022-06-28 12:41:32 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Evelyn Hartline 2022-07-13 15:27:53 UTC
Can this be backported to 21.11?
Comment 6 Lucas Gass 2022-07-29 17:02:45 UTC
Backported to 22.05.x for 22.05.04
Comment 7 Arthur Suzuki 2022-08-11 13:18:55 UTC
hi Evelyn (and folks)
Applied to 21.11.x for 21.11.11 release (next week).
Best
Comment 8 Victor Grousset/tuxayo 2022-08-15 20:00:08 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document, marking resolved.